View Issue Details

IDProjectCategoryLast Update
0021175AI War 2[All Projects] Gameplay IdeaJul 9, 2019 11:06 am
ReporterzeusalmightyAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBETA 0.855 Galactic Markings 
Fixed in Version0.874 Basic Fleet Management 
Summary0021175: Starter Fleets--rounding out play styles
DescriptionCurrently, some playstyles feel underrepresented and I think this can be remedied by additional starter fleets

Ravager fleet
Theme: Metabolism/Melee
Flagship: (Mini) devourer golem. Tanky, short ranged metabolism (maybe also vampirism?)
Fleet: gangsaw and vampiric claw strikecraft; War harvester (frigate)
***Melee doesn't feel that viable presently, so a starter fleet that features melee and the metabolism mechanic together would encourage risky but rewarding tactics

Deepstriker fleet
Theme: Beachhead/Deepstriking/support fleet (basically a citadel for offensive purposes)
Flagship: Gyrn, the Voidhome
Fleet: combat engineers, drones (basic), tritium sniper frigate
Special--counts as a factory
***Having a dedicated support starter fleet designed to promote deepstriking seems quite desirable (so popular a strategy it has its own term). Gyrn is the clear choice for this concept. To make this work, it would either need to BE a factory or able to build them on non-player planets (I prefer the former)
TagsNo tags attached.

Activities

wm46

May 2, 2019 3:12 am

reporter   ~0051483

Also something that's necessary for rounding out the starter fleets - The parasite starter has almost zero offensive capabilities on its own.

Sure the botnet golem is amazing at applying zombification to incoming waves, making it deadly on the defense, but it really lacks when it comes to offense because the parasite fleet ships and botnet golem do so little damage. I think they need a ship that's tuned more towards doing damage in their fleet, but I wouldn't know what ship that is.

wm46

May 2, 2019 3:27 am

reporter   ~0051484

And it sounds like your Gyrn fleet would have the exact same issue, what happens if the fleet that spawns next to your homeworld isn't good enough? That sounds like a really bad time, having to sit back and build sniper frigates, enter the wormhole, do 10% damage to a guard post, and leave to rebuild the sniper frigates again.

zeusalmighty

May 3, 2019 1:14 pm

reporter   ~0051492

The theme is more important to me than the actual fleet composition. I standby my position that both of the starterfleets embody the spirit of some core game play styles that need some love

*Hive golem might be better than my desire for a mini-devourer golem since it has metabolizing yellowjackets. Mini-devourer just sounds so cool =P
*Giving gyrn more "beachhead" flavored capacities--turrets, etc.--to help them make their initial push. As a drone producer in my current iteration, they aren't without combat means already. It shouldn't be too difficult to grab a nearby flagship in the beginning anyway

x4000Bughunter

May 4, 2019 10:41 am

administrator   ~0051499

If you feel like experimenting around directly, it's super easy: [InstallFolder]\GameData\Configuration\FleetDesignTemplate\CMP_StartingFleetDesigns.xml

You can make your own xml file in there with your fleet designs so that it isn't getting overwritten by any changes we push via steam updates. If anyone wants to submit any xml updates to get the new fleets in there, and/or adjust existing ones, I'll be happy to integrate those.

x4000Bughunter

Jul 8, 2019 3:15 pm

administrator   ~0052106

So, this might be an interesting discussion to revisit as of the recent builds where there are now just generic transports as the central starter fleets. Golems and Arks are getting more powerful and being moved to the mid to late game only, no starters.

But also, we now have the starting battlestations and the starting support fleets, both of which are new since this report. So those kind of give you the ability to deepstrike or beachhead by combining things.

Metabolism isn't represented anywhere, and it's possible that the parasite fleet is still too weak on its own right now, but I think we have everything else covered via all the new mechanics that have come in. I welcome being told otherwise, though, so that we can rectify that. ;)

RocketAssistedPuffin

Jul 8, 2019 3:25 pm

developer   ~0052114

I would add only one Fleet so far: Consumer. Melee based, Gangsaws giving the Metabolism. Things like the Deepstrike Fleet are kind of represented. Don't want to add too many, since as you noted elsewhere before Chris, you can cause paralysis analysis with too many.

Parasite Fleet is...pretty darn strong, actually. 8 Muggers is nasty.

x4000Bughunter

Jul 9, 2019 11:06 am

administrator   ~0052128

Awesome, that sounds like a win to me in terms of something to add. And glad that the parasite fleet is feeling strong right now.

Just in:

* New Starting Fleet: Consumer Fleet
** Mostly focused on eating enemy ships and structures, but also has a healthy complement of bombers for smashing things, and a large sniper starship for adding fire support from afar.
** 40x vicious metabolizing gangsaws, 40x absorbers, 30x fusion bombers, and 1x tritium sniper frigate.
** Thanks to zeusalmighty and Puffin for suggesting.

Issue History

Date Modified Username Field Change
May 2, 2019 12:11 am zeusalmighty New Issue
May 2, 2019 3:12 am wm46 Note Added: 0051483
May 2, 2019 3:27 am wm46 Note Added: 0051484
May 3, 2019 1:14 pm zeusalmighty Note Added: 0051492
May 4, 2019 10:41 am x4000Bughunter Note Added: 0051499
Jul 8, 2019 3:15 pm x4000Bughunter Note Added: 0052106
Jul 8, 2019 3:15 pm x4000Bughunter Assigned To => x4000Bughunter
Jul 8, 2019 3:15 pm x4000Bughunter Status new => feedback
Jul 8, 2019 3:25 pm RocketAssistedPuffin Note Added: 0052114
Jul 9, 2019 11:06 am x4000Bughunter Status feedback => resolved
Jul 9, 2019 11:06 am x4000Bughunter Resolution open => fixed
Jul 9, 2019 11:06 am x4000Bughunter Fixed in Version => 0.874 Basic Fleet Management
Jul 9, 2019 11:06 am x4000Bughunter Note Added: 0052128